/*
 * i82C54.h: setup PIT
 * 
 * Christophe Lucas <clucas@rotomalug.org>
 */

#ifndef __I82C54_H__
#define __I82C54_H__

#include <testos/types.h>
#include <testos/errno.h>

#define I82C54_COUNTER0_PORT	0x0040	// Compteur 0
#define I82C54_COUNTER1_PORT	0x0041	// Compteur 1
#define I82C54_COUNTER2_PORT	0x0042	// Compteur 2
#define I82C54_MODE_PORT	0x0043	// Configuration du mode d'utilisation du 8254

extern ret_t setup_pit(ui16_t freq);

#endif

